<?php

namespace KupShop\PriceHistoryBundle\Resources\script;

use KupShop\AdminBundle\Util\Script\Script;
use KupShop\PriceHistoryBundle\EventListener\CronListener;

class UpdatePriceForDiscountScript extends Script
{
    protected static $name = 'Spustit přepočet price for discount z price history';

    protected function run(array $arguments)
    {
        $cron = new CronListener();
        $cron->checkPriceChanges();
        $cron->checkPriceListChanges();

        $this->log('Hotovo');
    }
}

return UpdatePriceForDiscountScript::class;
